net.sf.okapi.common.exceptions

## Class OkapiUserCanceledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.okapi.common.exceptions.OkapiException
        - - net.sf.okapi.common.exceptions.OkapiUserCanceledException

- All Implemented Interfaces:
    java.io.Serializable

      public class OkapiUserCanceledException
      extends OkapiException

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OkapiUserCanceledException()` Creates an empty new OkapiUnsupportedEncodingException object.
    `OkapiUserCanceledException(java.lang.String message)` Creates a new OkapiUnsupportedEncodingException object with a given message.
    `OkapiUserCanceledException(java.lang.String message, java.lang.Throwable cause)` Creates a new OkapiUnsupportedEncodingException object with a given message and a given parent exception cause.
    `OkapiUserCanceledException(java.lang.Throwable cause)` Creates a new OkapiUnsupportedEncodingException object with a given parent exception cause.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OkapiUserCanceledException

          public OkapiUserCanceledException()

      Creates an empty new OkapiUnsupportedEncodingException object.

    - #### OkapiUserCanceledException

          public OkapiUserCanceledException(java.lang.String message)

      Creates a new OkapiUnsupportedEncodingException object with a given message.
      Parameters:
        `message` - text of the message.

    - #### OkapiUserCanceledException

          public OkapiUserCanceledException(java.lang.Throwable cause)

      Creates a new OkapiUnsupportedEncodingException object with a given parent exception cause.
      Parameters:
        `cause` - the parent exception cause.

    - #### OkapiUserCanceledException

          public OkapiUserCanceledException(java.lang.String message,
                                            java.lang.Throwable cause)

      Creates a new OkapiUnsupportedEncodingException object with a given message and a given parent exception cause.
      Parameters:
        `message` - the message.
        `cause` - the cause.